# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_enc_kdc_rep_part

type krb5_enc_kdc_rep_part

C representation of EncKDCRepPart protocol message.

This is the cleartext message that is encrypted and inserted in KDC-REP .

## Declaration

typedef struct _krb5_enc_kdc_rep_part krb5_enc_kdc_rep_part

## Members

krb5_magic krb5_enc_kdc_rep_part.magic

krb5_msgtype krb5_enc_kdc_rep_part.msg_type

  krb5 message type

krb5_keyblock *krb5_enc_kdc_rep_part.session

  Session key.

krb5_last_req_entry **krb5_enc_kdc_rep_part.last_req

  Array of pointers to entries.

krb5_int32 krb5_enc_kdc_rep_part.nonce

  Nonce from request.

krb5_timestamp krb5_enc_kdc_rep_part.key_exp

  Expiration date.

krb5_flags krb5_enc_kdc_rep_part.flags

  Ticket flags.

krb5_ticket_times krb5_enc_kdc_rep_part.times

  Lifetime info.

krb5_principal krb5_enc_kdc_rep_part.server

  Server’s principal identifier.

krb5_address **krb5_enc_kdc_rep_part.caddrs

  Array of ptrs to addrs, optional.

krb5_pa_data **krb5_enc_kdc_rep_part.enc_padata

  Encrypted preauthentication data.